AgentStat (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.client.obj

## Class AgentStat

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.obj.AgentStat

-     public class AgentStat
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentStat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCanceled()`
    `String` | `getEndpoint()`
    `String` | `getFailed()`
    `String` | `getId()`
    `String` | `getOngoing()`
    `String` | `getSuccesful()`
    `String` | `getTotal()`
    `void` | `setCanceled(String canceled)`
    `void` | `setEndpoint(String endpoint)`
    `void` | `setFailed(String failed)`
    `void` | `setId(String id)`
    `void` | `setOngoing(String ongoing)`
    `void` | `setSuccesful(String succesful)`
    `void` | `setTotal(String total)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentStat

          public AgentStat()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getEndpoint

          public String getEndpoint()

    - #### setEndpoint

          public void setEndpoint(String endpoint)

    - #### getOngoing

          public String getOngoing()

    - #### setOngoing

          public void setOngoing(String ongoing)

    - #### getFailed

          public String getFailed()

    - #### setFailed

          public void setFailed(String failed)

    - #### getSuccesful

          public String getSuccesful()

    - #### setSuccesful

          public void setSuccesful(String succesful)

    - #### getCanceled

          public String getCanceled()

    - #### setCanceled

          public void setCanceled(String canceled)

    - #### getTotal

          public String getTotal()

    - #### setTotal

          public void setTotal(String total)

Copyright © 2014. All Rights Reserved.